Bug 57598 - compile xmountains with -DVROOT
compile xmountains with -DVROOT
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: xmountains (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-17 07:16 EST by Jamie Zawinski
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 07:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Zawinski 2001-12-17 07:16:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
The xmountains RPM that Red Hat distributes was not built with -DVROOT. 
This means that it does not work with xscreensaver: instead,
it just draws on the root window.

You should recompile it with vritual-root support so that it works
as a screen saver too.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run "xmountains -b -M -Z 0 -r 1" via xscreensaver
2.
3.
	

Additional info:

xmountains-2.5-5
Name        : xmountains                   Relocations: (not relocateable)
Version     : 2.5                               Vendor: Red Hat, Inc.
Release     : 5                             Build Date: Mon 20 Nov 2000
07:31:18 PM PST
Install date: Sat 15 Dec 2001 08:46:33 PM PST      Build Host:
porky.devel.redhat.com
Group       : Amusements/Graphics           Source RPM:
xmountains-2.5-5.src.rpm
Size        : 41293                            License: free copyrighted
software
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.epcc.ed.ac.uk/~spb/xmountains/
Summary     : An X Window System based fractal terrain generator.
Comment 1 Ngo Than 2001-12-17 10:16:00 EST
It's fixed in 2.6-1. You find it ftp://people.redhat.com/than/7.1

Note You need to log in before you can comment on or make changes to this bug.